<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKStateWizardViewBase from './ibizbookstate-wizard-view-base.vue';

import view_wizardpanel from '@widgets/ibizbook/state-guide-wizardpanel/state-guide-wizardpanel.vue';
@Component({
    components: {
        view_wizardpanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKStateWizardView extends IBIZBOOKStateWizardViewBase {

}
</script>